module dmd.EnumMember;

import dmd.Dsymbol;
import dmd.Expression;
import dmd.Type;
import dmd.Loc;
import dmd.Identifier;
import dmd.Scope;
import dmd.OutBuffer;
import dmd.HdrGenState;

class EnumMember : Dsymbol
{
    Expression value;
    Type type;

    this(Loc loc, Identifier id, Expression value, Type type)
	{
		super(id);
		
		this.value = value;
		this.type = type;
		this.loc = loc;
	}
	
    Dsymbol syntaxCopy(Dsymbol s)
	{
		assert(false);
	}
	
    void toCBuffer(OutBuffer buf, HdrGenState* hgs)
	{
		assert(false);
	}
	
    string kind()
	{
		assert(false);
	}

    void emitComment(Scope sc)
	{
		assert(false);
	}
	
    void toDocBuffer(OutBuffer buf)
	{
		assert(false);
	}

    EnumMember isEnumMember() { return this; }
}